import {EntityRepository, Repository} from "typeorm";
import {UpdateTermsOfServiceCmsDto} from "./dto/update-terms-of-service-cms.dto";
import {TermsOfServiceCms} from "./entities/terms-of-service-cms.entity";

@EntityRepository(TermsOfServiceCms)
export class TermsOfServiceCmsRepository extends Repository<TermsOfServiceCms> {

    async createEntity(dto: UpdateTermsOfServiceCmsDto): Promise<TermsOfServiceCms | Error> {
        try {
            const entity = this.create({
                logo: dto.logo,
                title: dto.title,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateTermsOfServiceCmsDto, id: string): Promise<TermsOfServiceCms | Error> {
        try {
            await this.update(id, {
                logo: dto.logo,
                title: dto.title,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<TermsOfServiceCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}