import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("blog_posts")
export class BlogPost extends CoreEntity {
    @Column()
    categoryId: string;

    @Column()
    categoryName: string;

    @Column()
    title: string;

    @Column()
    photo: string;

    @Column({type: "longtext"})
    longDetails: string;

    @Column({default: 0})
    totalViews: number;

    @Column({default: null, nullable: true})
    urlSlug: string;
}
