import {EntityRepository, Repository} from "typeorm";
import { BlogPageComponentUiEntity } from "./entities/blog-page-component-ui.entity";
import { UpdateBlogPageComponentUiDto } from "./dto/update-blog-page-component-ui.dto";

@EntityRepository(BlogPageComponentUiEntity)
export class BlogPageComponentUiRepository extends Repository<BlogPageComponentUiEntity> {

    async createEntity(dto: UpdateBlogPageComponentUiDto): Promise<BlogPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateBlogPageComponentUiDto, id: string): Promise<BlogPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<BlogPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}