import {EntityRepository, Repository} from "typeorm";
import { PrivacyPolicyPageComponentUiEntity } from "./entities/privacy-policy-page-component-ui.entity";
import { UpdatePrivacyPolicyPageComponentUiDto } from "./dto/update-privacy-policy-page-component-ui.dto";

@EntityRepository(PrivacyPolicyPageComponentUiEntity)
export class PrivacyPolicyPageComponentUiRepository extends Repository<PrivacyPolicyPageComponentUiEntity> {

    async createEntity(dto: UpdatePrivacyPolicyPageComponentUiDto): Promise<PrivacyPolicyPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePrivacyPolicyPageComponentUiDto, id: string): Promise<PrivacyPolicyPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PrivacyPolicyPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}