import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { TermsAndConditionsPageComponentUiService } from "./terms-and-conditions-page-component-ui.service";
import { UpdateTermsAndConditionsPageComponentUiDto } from "./dto/update-terms-and-conditions-page-component-ui.dto";

@Controller({path: "terms-and-conditions-page-component-ui", version: Constants.API_VERSION_1})

export class TermsAndConditionsPageComponentUiController {
    constructor(private readonly service: TermsAndConditionsPageComponentUiService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateTermsAndConditionsPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
